package jnet.lib.snmp;

import java.io.Serializable;

public class Interface implements Serializable {

    private int id;
    private String description;
    private String operStatus;
    private String speed;
    private String type;
    private String macAddress;
    private String adminStatus;
    private String lastChangeTime;

    public Interface(int id, String description, String operStatus, String speed, String type, String macAddress, String adminStatus, String lastChangeTime) {
        this.id = id;
        this.description = description;
        this.operStatus = operStatus;
        this.speed = speed;
        this.type = type;
        this.macAddress = macAddress;
        this.adminStatus = adminStatus;
        this.lastChangeTime = lastChangeTime;
    }

    @Override
    public String toString() {
        return "Interface ID: " + id + "\n"
                + "Description: " + description + "\n"
                + "Operational Status: " + operStatus + "\n"
                + "Speed: " + speed + "\n"
                + "Type: " + type + "\n"
                + "MAC Address: " + macAddress + "\n"
                + "Administrative Status: " + adminStatus + "\n"
                + "Last Link Change: " + lastChangeTime + "\n";
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getOperStatus() {
        return operStatus;
    }

    public void setOperStatus(String operStatus) {
        this.operStatus = operStatus;
    }

    public String getSpeed() {
        return speed;
    }

    public void setSpeed(String speed) {
        this.speed = speed;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getMacAddress() {
        return macAddress;
    }

    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    public String getAdminStatus() {
        return adminStatus;
    }

    public void setAdminStatus(String adminStatus) {
        this.adminStatus = adminStatus;
    }

    public String getLastChangeTime() {
        return lastChangeTime;
    }

    public void setLastChangeTime(String lastChangeTime) {
        this.lastChangeTime = lastChangeTime;
    }
    
    
}
